on:
  push:
    # Sequence of patterns matched against refs/tags
    tags:
    - 'v*' # Push events to matching v*, i.e. v1.0, v20.15.10

name: Build FG-Usable File

env:
  EXTENSION: '.mod'

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
    - name: Checkout Repo Assets
      uses: actions/checkout@v3
    - name: Create GitHub Release
      uses: ncipollo/release-action@v1
      with:
        token: ${{ secrets.GITHUB_TOKEN }}
    - name: Zip Assets Into .mod File
      uses: thedoctor0/zip-release@master
      with:
        filename: ${{ github.event.repository.name }}${{ env.EXTENSION }}])
        exclusions: '*.git* /*node_modules/* .editorconfig body.md *.psd *.xcf forge-thumbnail.png'
    - name: Add .mod File to Release
      uses: ncipollo/release-action@v1
      with:
        artifacts: ${{ github.event.repository.name }}${{ env.EXTENSION }}])
        token: ${{ secrets.GITHUB_TOKEN }}
        allowUpdates: true
